Package org.kapott.hbci.tools

## Class AbstractShowLowlevelData

- java.lang.Object
- - org.kapott.hbci.tools.AbstractShowLowlevelData

Direct Known Subclasses:
  `ShowLowlevelGVRestrictions`, `ShowLowlevelGVRs`, `ShowLowlevelGVs`

    public class AbstractShowLowlevelData
    extends java.lang.Object

Basisklasse für die beiden `ShowLowlevelGV*`-Tools. Diese Klasse wird nur intern verwendet.

### Constructor Summary

Constructors
`AbstractShowLowlevelData()`

### Method Summary

All Methods Static Methods Concrete Methods
`protected static void` `displayContentRef​(java.lang.String path, org.w3c.dom.Element ref, org.w3c.dom.Document syntax, int indent, int currentLevel, int minLevel)`
`protected static java.lang.String` `pathWithDot​(java.lang.String path)`
`protected static void` `showData​(java.lang.String gvname, org.w3c.dom.Document syntax)`
`protected static void` `showData​(java.lang.String gvname, org.w3c.dom.Document syntax, int minLevel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractShowLowlevelData

    public AbstractShowLowlevelData()

### Method Detail

#### showData

    protected static void showData​(java.lang.String gvname,
                                   org.w3c.dom.Document syntax,
                                   int minLevel)

#### displayContentRef

    protected static void displayContentRef​(java.lang.String path,
                                            org.w3c.dom.Element ref,
                                            org.w3c.dom.Document syntax,
                                            int indent,
                                            int currentLevel,
                                            int minLevel)

#### showData

    protected static void showData​(java.lang.String gvname,
                                   org.w3c.dom.Document syntax)

#### pathWithDot

    protected static java.lang.String pathWithDot​(java.lang.String path)